Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Services/Tagging Rules

Get Tagging Rules

get
/v3/services/{serviceID}/tagging-rules
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v3/services/{serviceID}/tagging-rules
GET /v3/services/{serviceID}/tagging-rules HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "rules": [
      {
        "expression": "text",
        "tags": {
          "severity": {
            "value": "text",
            "color": "text"
          }
        },
        "is_basic": true,
        "basic_expression": [
          {
            "lhs": "text",
            "op": "is",
            "rhs": "text"
          }
        ]
      }
    ]
  }
}

Create or Update Tagging Rules

post
/v3/services/{serviceID}/tagging-rules
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Body
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/services/{serviceID}/tagging-rules
POST /v3/services/{serviceID}/tagging-rules HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 160

{
  "rules": [
    {
      "expression": "text",
      "tags": {
        "severity": {
          "value": "text",
          "color": "text"
        }
      },
      "is_basic": true,
      "basic_expression": [
        {
          "lhs": "text",
          "op": "is",
          "rhs": "text"
        }
      ]
    }
  ]
}
{
  "data": {
    "rules": [
      {
        "expression": "text",
        "tags": {
          "severity": {
            "value": "text",
            "color": "text"
          }
        },
        "is_basic": true,
        "basic_expression": [
          {
            "lhs": "text",
            "op": "is",
            "rhs": "text"
          }
        ]
      }
    ]
  }
}

Last updated